org.bdgenomics.adam.cli

# TransformVariantsArgs

#### class TransformVariantsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformVariantsArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformVariantsArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     TransformVariantsArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var coalesce: Int

11. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var deferMerging: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

13. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

14. #### var disableFastConcat: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

15. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### var forceShuffle: Boolean

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### var inputPath: String

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### var logLevel: String

    Definition Classes
      ParquetArgs

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### var outputPath: String

    Definition Classes
      TransformVariantsArgs → SaveArgs

29. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

30. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

31. #### var sort: Boolean

32. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformVariantsArgs → ADAMSaveAnyArgs

33. #### var sortLexicographically: Boolean

34. #### var stringency: String

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped